KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm config print - Print configuration

SYNOPSIS

kubeadm config print [OPTIONS]

DESCRIPTION

This command prints configurations for subcommands provided. For details, see: https://pkg.go.dev/k8s.io/kubernetes/cmd/kubeadm/app/apis/kubeadm#section-directories

OPTIONS INHERITED FROM PARENT COMMANDS

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-config(1), kubeadm-config-print-init-defaults(1), kubeadm-config-print-join-defaults(1), kubeadm-config-print-reset-defaults(1), kubeadm-config-print-upgrade-defaults(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!